Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class PolicyInclude

    java.lang.Object
      org.apache.axis2.description.PolicyInclude

    public class PolicyInclude

extends java.lang.Object

Field Summary
`static int` | `ANON_POLICY`
`static int` | `AXIS_MESSAGE_POLICY`
`static int` | `AXIS_MODULE_OPERATION_POLICY`
`static int` | `AXIS_MODULE_POLICY`
`static int` | `AXIS_OPERATION_POLICY`
`static int` | `AXIS_POLICY`
`static int` | `AXIS_SERVICE_POLICY`
`static int` | `BINDING_INPUT_POLICY`
`static int` | `BINDING_OPERATION_POLICY`
`static int` | `BINDING_OUTPUT_POLICY`
`static int` | `BINDING_POLICY`
`static int` | `INPUT_POLICY`
`static int` | `MESSAGE_POLICY`
`static int` | `OPERATION_POLICY`
`static int` | `OUTPUT_POLICY`
`static int` | `PORT_POLICY`
`static int` | `PORT_TYPE_POLICY`
`static int` | `SERVICE_POLICY`

Constructor Summary
`PolicyInclude()`
`PolicyInclude(AxisDescription axisDescription)`

Method Summary
`void` | `addPolicyElement(int type, org.apache.neethi.Policy policy)` Deprecated. As of 1.4 release, replaced by `#attachPolicy(Policy)`
`void` | `addPolicyRefElement(int type, org.apache.neethi.PolicyReference policyReference)` Deprecated. As of 1.4 release, replaced by `#attachPolicyReference(PolicyReference)`
`java.util.List` | `getAttachedPolicies()` Deprecated. As of 1.4 release, replaced by `#getAttachedPolicyComponents()`
`AxisDescription` | `getDescription()`
`org.apache.neethi.Policy` | `getEffectivePolicy()` Deprecated. As of 1.4 release. Use `#getEffectivePolicy()` or `#getEffectivePolicy()` when applicable.
`org.apache.neethi.Policy` | `getPolicy()` Deprecated. As of 1.4 release. If you need to calculate merged policy of all policies that are in the policy cache of `AxisDescription`, use `#getAttachedPolicyComponents() and {@link org.PolicyUtil #getMergedPolicy(List, AxisDescription)}`
`org.apache.neethi.Policy` | `getPolicy(java.lang.String key)` Deprecated. As of 1.4 release, replaced by `#getAttachedPolicyComponent(String)`
`java.util.ArrayList` | `getPolicyElements()` Deprecated. As of 1.4 release, replaced by `#getAttachedPolicyComponents()`
`java.util.ArrayList` | `getPolicyElements(int type)` Deprecated. As of 1.4 release. The policy element type is no longer required since we maintain a complete binding description hierarchy for the static description the service. Hence use `#getAttachedPolicyComponents()` on appropriate description object.
`org.apache.neethi.PolicyRegistry` | `getPolicyRegistry()`
`void` | `registerPolicy(java.lang.String key, org.apache.neethi.Policy policy)` Deprecated. As of 1.4 release. Use ServiceData.xml or Axis2 DataLocators to configure policies that are stored separately.
`void` | `removeAllPolicyElements()` Deprecated. As of 1.4 release, replaced by `#clear()`
`void` | `removePolicyElement(java.lang.String policyURI)` Deprecated. As of 1.4 release, replaced by `#detachPolicyComponent(String)`
`void` | `setDescription(AxisDescription description)`
`void` | `setEffectivePolicy(org.apache.neethi.Policy effectivePolicy)` Deprecated. As of 1.4 release. You can't override a policies that applicable for the current policy scope via `#setEffectivePolicy(Policy)`. In case you need to make a policy the only policy that is within the policy cache of an `AxisDescription` please use `#clear()` and `#attachPolicy(Policy)` accordingly.
`void` | `setPolicy(org.apache.neethi.Policy policy)` Deprecated. As of 1.4 release, replaced by `#attachPolicy(Policy)` Use `#clear()` beforehand effective policy of `AxisDescription` has to be set as the argument.
`void` | `setPolicyRegistry(org.apache.neethi.PolicyRegistry reg)`
`void` | `updatePolicy(org.apache.neethi.Policy policy)` Deprecated. As of 1.4 release, replaced by `#updatePolicy(Policy)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANON_POLICY

    public static final int ANON_POLICY

See Also:
  Constant Field Values

### AXIS_POLICY

    public static final int AXIS_POLICY

See Also:
  Constant Field Values

### AXIS_MODULE_POLICY

    public static final int AXIS_MODULE_POLICY

See Also:
  Constant Field Values

### AXIS_MODULE_OPERATION_POLICY

    public static final int AXIS_MODULE_OPERATION_POLICY

See Also:
  Constant Field Values

### AXIS_SERVICE_POLICY

    public static final int AXIS_SERVICE_POLICY

See Also:
  Constant Field Values

### AXIS_OPERATION_POLICY

    public static final int AXIS_OPERATION_POLICY

See Also:
  Constant Field Values

### AXIS_MESSAGE_POLICY

    public static final int AXIS_MESSAGE_POLICY

See Also:
  Constant Field Values

### SERVICE_POLICY

    public static final int SERVICE_POLICY

See Also:
  Constant Field Values

### PORT_POLICY

    public static final int PORT_POLICY

See Also:
  Constant Field Values

### PORT_TYPE_POLICY

    public static final int PORT_TYPE_POLICY

See Also:
  Constant Field Values

### BINDING_POLICY

    public static final int BINDING_POLICY

See Also:
  Constant Field Values

### OPERATION_POLICY

    public static final int OPERATION_POLICY

See Also:
  Constant Field Values

### BINDING_OPERATION_POLICY

    public static final int BINDING_OPERATION_POLICY

See Also:
  Constant Field Values

### INPUT_POLICY

    public static final int INPUT_POLICY

See Also:
  Constant Field Values

### OUTPUT_POLICY

    public static final int OUTPUT_POLICY

See Also:
  Constant Field Values

### BINDING_INPUT_POLICY

    public static final int BINDING_INPUT_POLICY

See Also:
  Constant Field Values

### BINDING_OUTPUT_POLICY

    public static final int BINDING_OUTPUT_POLICY

See Also:
  Constant Field Values

### MESSAGE_POLICY

    public static final int MESSAGE_POLICY

See Also:
  Constant Field Values

Constructor Detail

### PolicyInclude

    public PolicyInclude()

### PolicyInclude

    public PolicyInclude(AxisDescription axisDescription)

Method Detail

### setPolicyRegistry

    public void setPolicyRegistry(org.apache.neethi.PolicyRegistry reg)

### getPolicyRegistry

    public org.apache.neethi.PolicyRegistry getPolicyRegistry()

### setPolicy

    public void setPolicy(org.apache.neethi.Policy policy)

  Deprecated. As of 1.4 release, replaced by `#attachPolicy(Policy)` Use `#clear()` beforehand effective policy of `AxisDescription` has to be set as the argument.

  Parameters:
    `policy` -
  See Also:
    `PolicySubject.attachPolicy(Policy)`, `PolicySubject.clear()`

### updatePolicy

    public void updatePolicy(org.apache.neethi.Policy policy)

  Deprecated. As of 1.4 release, replaced by `#updatePolicy(Policy)`.

### setEffectivePolicy

    public void setEffectivePolicy(org.apache.neethi.Policy effectivePolicy)

  Deprecated. As of 1.4 release. You can't override a policies that applicable for the current policy scope via `#setEffectivePolicy(Policy)`. In case you need to make a policy the only policy that is within the policy cache of an `AxisDescription` please use `#clear()` and `#attachPolicy(Policy)` accordingly.

### setDescription

    public void setDescription(AxisDescription description)

### getDescription

    public AxisDescription getDescription()

### getPolicy

    public org.apache.neethi.Policy getPolicy()

  Deprecated. As of 1.4 release. If you need to calculate merged policy of all policies that are in the policy cache of `AxisDescription`, use `#getAttachedPolicyComponents() and {@link org.PolicyUtil #getMergedPolicy(List, AxisDescription)}`

### getEffectivePolicy

    public org.apache.neethi.Policy getEffectivePolicy()

  Deprecated. As of 1.4 release. Use `#getEffectivePolicy()` or `#getEffectivePolicy()` when applicable.

### getPolicyElements

    public java.util.ArrayList getPolicyElements()

  Deprecated. As of 1.4 release, replaced by `#getAttachedPolicyComponents()`

### getPolicyElements

    public java.util.ArrayList getPolicyElements(int type)

  Deprecated. As of 1.4 release. The policy element type is no longer required since we maintain a complete binding description hierarchy for the static description the service. Hence use `#getAttachedPolicyComponents()` on appropriate description object.

### registerPolicy

    public void registerPolicy(java.lang.String key,
                               org.apache.neethi.Policy policy)

  Deprecated. As of 1.4 release. Use ServiceData.xml or Axis2 DataLocators to configure policies that are stored separately.

### getPolicy

    public org.apache.neethi.Policy getPolicy(java.lang.String key)

  Deprecated. As of 1.4 release, replaced by `#getAttachedPolicyComponent(String)`

### addPolicyElement

    public void addPolicyElement(int type,
                                 org.apache.neethi.Policy policy)

  Deprecated. As of 1.4 release, replaced by `#attachPolicy(Policy)`

### addPolicyRefElement

    public void addPolicyRefElement(int type,
                                    org.apache.neethi.PolicyReference policyReference)

  Deprecated. As of 1.4 release, replaced by `#attachPolicyReference(PolicyReference)`

### removePolicyElement

    public void removePolicyElement(java.lang.String policyURI)

  Deprecated. As of 1.4 release, replaced by `#detachPolicyComponent(String)`

### removeAllPolicyElements

    public void removeAllPolicyElements()

  Deprecated. As of 1.4 release, replaced by `#clear()`

### getAttachedPolicies

    public java.util.List getAttachedPolicies()

  Deprecated. As of 1.4 release, replaced by `#getAttachedPolicyComponents()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.